/*****************************************************************************/
/* N.A.D.A.R. - A network tank battle game.                                  */
/*                                                                           */
/* N.A.D.A.R. Copyright (c) 2000-2001 Sakai Hiroaki.                         */
/* All Rights Reserved.                                                      */
/*                                                                           */
/* N.A.D.A.R. is a network tank battle game. You get into a tank,            */
/* operate it, and destroy other tanks to survive!                           */
/*****************************************************************************/

/*****************************************************************************/
/* Game 饹(Υ饹)Υ饤֥()                     */
/*****************************************************************************/

#ifndef _NADAR_SERVER_GAME_H_INCLUDED_
#define _NADAR_SERVER_GAME_H_INCLUDED_

/*****************************************************************************/
/*                                                                   */
/*****************************************************************************/

typedef struct _Game * Game; /* Game 饹 */

#include "configure.h"

#include "etc.h"
#include "Obj.h"
#include "Stage.h"
#include "Player.h"

/*===========================================================================*/
/* ѿμ                                                    */
/*===========================================================================*/

Stage GameGetStage(Game game);
ObjList GameGetPlayerList(Game game);
Path GameGetRequest(Game game);

/*===========================================================================*/
/* ֥ȤȺ                                                  */
/*===========================================================================*/

/*---------------------------------------------------------------------------*/
/* ֥Ȥ                                                        */
/*---------------------------------------------------------------------------*/

Game GameCreate(char * hostname, unsigned short int port,
		int map_width, int map_height, int width, int height,
		int peeping, int backward, int interval_time, int timeout_time,
		int max_players);

/*---------------------------------------------------------------------------*/
/* ֥Ȥκ                                                        */
/*---------------------------------------------------------------------------*/

Game GameDestroy(Game game);

/*---------------------------------------------------------------------------*/
/* Υ                                                          */
/*---------------------------------------------------------------------------*/

int GameStart(Game game, int silent);

/*****************************************************************************/
/* ޤ                                                                  */
/*****************************************************************************/

#endif /* _NADAR_SERVER_GAME_H_INCLUDED_ */

/*****************************************************************************/
/* End of File.                                                              */
/*****************************************************************************/
