/*****************************************************************************/
/* N.A.D.A.R. - A network tank battle game.                                  */
/*                                                                           */
/* N.A.D.A.R. Copyright (c) 2000-2001 Sakai Hiroaki.                         */
/* All Rights Reserved.                                                      */
/*                                                                           */
/* N.A.D.A.R. is a network tank battle game. You get into a tank,            */
/* operate it, and destroy other tanks to survive!                           */
/*****************************************************************************/

/*****************************************************************************/
/* Game 饹(Υ饹)Υ饤֥(Τ)                     */
/*****************************************************************************/

#ifndef _NADAR_SERVER_GAMEP_H_INCLUDED_
#define _NADAR_SERVER_GAMEP_H_INCLUDED_

/*****************************************************************************/
/*                                                                   */
/*****************************************************************************/

#include "Game.h"

typedef struct _Game {
  Stage stage;
  ObjList player_list;
  Path request; /* ³׵μդ */
  int stage_number;

  int map_width;
  int map_height;
  int width;
  int height;
  int peeping;
  int backward;
  int interval;
  int timeout;
  int max_players;
} _Game;

/*****************************************************************************/
/* ޤ                                                                  */
/*****************************************************************************/

#endif /* _NADAR_SERVER_GAMEP_H_INCLUDED_ */

/*****************************************************************************/
/* End of File.                                                              */
/*****************************************************************************/
