/*****************************************************************************/
/* Socket.h - A library for network communication.                           */
/*                                                                           */
/* Socket.h Copyright (c) 2000-2001 Sakai Hiroaki.                           */
/* All Rights Reserved.                                                      */
/*****************************************************************************/

/*****************************************************************************/
/* Socket 饹(å̿ѤΥ饹)Υ饤֥()           */
/*****************************************************************************/

#ifndef _SAKAILIB_SOCKET_H_INCLUDED_
#define _SAKAILIB_SOCKET_H_INCLUDED_

/*****************************************************************************/
/*                                                                   */
/*****************************************************************************/

/*****************************************************************************/
/* إåեΥ󥯥롼                                              */
/*****************************************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <netdb.h>
#include <signal.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <sys/param.h>
#include <sys/errno.h> 
#include <netinet/in.h>
#include <netinet/tcp.h>

/*****************************************************************************/
/* (˸)                                            */
/*****************************************************************************/

/* None */

/*****************************************************************************/
/* (˸)                                              */
/*****************************************************************************/

typedef struct _Socket * Socket; /* Socket 饹 */

/*****************************************************************************/
/* ¤Τ(˸)                                          */
/*****************************************************************************/

/* None */

/*****************************************************************************/
/* ѿ(˸)                                        */
/*****************************************************************************/

/* None */

/*****************************************************************************/
/* ؿ(˸)                                            */
/*****************************************************************************/

int SocketSetTcpNodelay(Socket sockt, int flag);
int SocketGetSocket(Socket this);
Socket SocketCreate(char * hostname, unsigned short int port);
Socket SocketCreateToAccept(char * hostname, unsigned short int port,
			    int backlog);
Socket SocketCreateToConnect(char * hostname, unsigned short int port);
Socket SocketCreateByAccept(Socket sockt);
Socket SocketDestroy(Socket sockt);

/*****************************************************************************/
/* ޤ                                                                  */
/*****************************************************************************/

#endif

/*****************************************************************************/
/* End of File.                                                              */
/*****************************************************************************/
