/*****************************************************************************/
/* N.A.D.A.R. - A network tank battle game.                                  */
/*                                                                           */
/* N.A.D.A.R. Copyright (c) 2000-2001 Sakai Hiroaki.                         */
/* All Rights Reserved.                                                      */
/*                                                                           */
/* N.A.D.A.R. is a network tank battle game. You get into a tank,            */
/* operate it, and destroy other tanks to survive!                           */
/*****************************************************************************/

/*****************************************************************************/
/* Client 饹(Υ饹)Υ饤֥()                   */
/*****************************************************************************/

#ifndef _NADAR_CLIENT_CLIENT_H_INCLUDED_
#define _NADAR_CLIENT_CLIENT_H_INCLUDED_

/*****************************************************************************/
/*                                                                   */
/*****************************************************************************/

typedef struct _Client * Client; /* Client 饹 */

#include "configure.h"

#include "etc.h"
#include "Obj.h"
#include "Disp.h"
#include "Stage.h"
#include "Player.h"
#include "Tank.h"
#include "Map.h"

/*===========================================================================*/
/* ѿμ                                                    */
/*===========================================================================*/

Player ClientGetPlayer(Client client);

/*===========================================================================*/
/* ֥ȤȺ                                                  */
/*===========================================================================*/

/*---------------------------------------------------------------------------*/
/* ֥Ȥ                                                        */
/*---------------------------------------------------------------------------*/

Client ClientCreate(char * hostname, unsigned short int port,
		    char * name, int size, int direct_draw,
		    int * argcp, char * argv[]);

/*---------------------------------------------------------------------------*/
/* ֥Ȥκ                                                        */
/*---------------------------------------------------------------------------*/

Client ClientDestroy(Client client);

/*---------------------------------------------------------------------------*/
/* 饤ȤΥ                                                    */
/*---------------------------------------------------------------------------*/

int ClientStart(Client client);

/*****************************************************************************/
/* ޤ                                                                  */
/*****************************************************************************/

#endif /* _NADAR_CLIENT_CLIENT_H_INCLUDED_ */

/*****************************************************************************/
/* End of File.                                                              */
/*****************************************************************************/
