/*****************************************************************************/
/* N.A.D.A.R. - A network tank battle game.                                  */
/*                                                                           */
/* N.A.D.A.R. Copyright (c) 2000-2001 Sakai Hiroaki.                         */
/* All Rights Reserved.                                                      */
/*                                                                           */
/* N.A.D.A.R. is a network tank battle game. You get into a tank,            */
/* operate it, and destroy other tanks to survive!                           */
/*****************************************************************************/

/*****************************************************************************/
/* Canon 饹(ˤѤΥ饹)Υ饤֥()                */
/*****************************************************************************/

#ifndef _NADAR_SHARE_CANON_H_INCLUDED_
#define _NADAR_SHARE_CANON_H_INCLUDED_

/*****************************************************************************/
/*                                                                   */
/*****************************************************************************/

typedef struct _Canon * Canon; /* Canon 饹 */

#include "configure.h"

#include "etc.h"
#include "Obj.h"
#include "Stage.h"
#include "Map.h"
#include "Tank.h"

#define CANON_WAIT      0
#define CANON_ACTIVE    1
#define CANON_EXPLOSION 2
#define CANON_DESTROY   3

/*===========================================================================*/
/* ѿμ                                                          */
/*===========================================================================*/

double CanonGetX(Canon canon);
double CanonGetY(Canon canon);
int CanonGetState(Canon canon);
int CanonSetState(Canon canon, int s);
Tank CanonGetTank(Canon canon);

/*===========================================================================*/
/* ֥ȤȺ                                                  */
/*===========================================================================*/

/*---------------------------------------------------------------------------*/
/* ֥Ȥ                                                        */
/*---------------------------------------------------------------------------*/

Canon CanonCreate(double x, double y, double vx, double vy, Tank tank,
		  int state);

/*---------------------------------------------------------------------------*/
/* ֥Ȥκ                                                        */
/*---------------------------------------------------------------------------*/

Canon CanonDestroy(Canon canon);

/*===========================================================================*/
/* ư                                                                  */
/*===========================================================================*/

int CanonAct(Canon canon, Stage stage);

/*****************************************************************************/
/* ޤ                                                                  */
/*****************************************************************************/

#endif

/*****************************************************************************/
/* End of File.                                                              */
/*****************************************************************************/
