/*****************************************************************************/
/* N.A.D.A.R. - A network tank battle game.                                  */
/*                                                                           */
/* N.A.D.A.R. Copyright (c) 2000-2001 Sakai Hiroaki.                         */
/* All Rights Reserved.                                                      */
/*                                                                           */
/* N.A.D.A.R. is a network tank battle game. You get into a tank,            */
/* operate it, and destroy other tanks to survive!                           */
/*****************************************************************************/

/*****************************************************************************/
/* Explosion 饹(ȯѤΥ饹)Υ饤֥(Τ)                */
/*****************************************************************************/

#ifndef _NADAR_SHARE_EXPLOSIONP_H_INCLUDED_
#define _NADAR_SHARE_EXPLOSIONP_H_INCLUDED_

/*****************************************************************************/
/*                                                                   */
/*****************************************************************************/

#include "Explosion.h"

typedef struct _Explosion {
  double x, y; /* ȯκɸ */
  int counter; /* ȯΥ */
  Tank tank;   /* ƥ */
  int state;   /* ȯξ */
} _Explosion;

/*****************************************************************************/
/* ѿ(˸ʤ)                                      */
/*****************************************************************************/

#if 0
static int counter_to_number[] =
{0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12,
 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1, 0};
#else
static int counter_to_number[] = {8, 10, 12, 11, 9, 6, 3};
#endif

static int number_to_radius[] =
{0, 4, 8, 12, 16, 20, 24, 28, 32, 36, 40, 44, 48};

#define EXPLOSION_COUNTER_NUMBER ((int)(sizeof(counter_to_number)/sizeof(*counter_to_number)))

/*****************************************************************************/
/* ޤ                                                                  */
/*****************************************************************************/

#endif /* _NADAR_SHARE_EXPLOSIONP_H_INCLUDED_ */

/*****************************************************************************/
/* End of File.                                                              */
/*****************************************************************************/
