/*****************************************************************************/
/* N.A.D.A.R. - A network tank battle game.                                  */
/*                                                                           */
/* N.A.D.A.R. Copyright (c) 2000-2001 Sakai Hiroaki.                         */
/* All Rights Reserved.                                                      */
/*                                                                           */
/* N.A.D.A.R. is a network tank battle game. You get into a tank,            */
/* operate it, and destroy other tanks to survive!                           */
/*****************************************************************************/

/*****************************************************************************/
/* Map 饹(ޥåѤΥ饹)Υ饤֥()                    */
/*****************************************************************************/

#ifndef _NADAR_SHARE_MAP_H_INCLUDED_
#define _NADAR_SHARE_MAP_H_INCLUDED_

/*****************************************************************************/
/*                                                                   */
/*****************************************************************************/

typedef struct _Map * Map; /* Map 饹 */
typedef struct _MapChange * MapChange; /* MapChange 饹 */

#include "configure.h"

#include "etc.h"
#include "Obj.h"
#include "Player.h"
#include "Path.h"

/*===========================================================================*/
/* ޥå⤫ɤȽ                                                    */
/*===========================================================================*/

int MapIsInside(Map map, int x, int y);

/*===========================================================================*/
/* ޥåפξ֤μ                                                  */
/*===========================================================================*/

/*---------------------------------------------------------------------------*/
/* ޥåפξ֤μ                                                        */
/*---------------------------------------------------------------------------*/

int MapGetState(Map map, int x, int y);

/*---------------------------------------------------------------------------*/
/* ޥåפξ֤                                                        */
/*---------------------------------------------------------------------------*/

int MapSetState(Map map, int x, int y, int state);

/*---------------------------------------------------------------------------*/
/* ޥåפξ֤ѹ                                                        */
/*---------------------------------------------------------------------------*/

int MapChangeState(Map map, int x, int y, int new_state);

/*===========================================================================*/
/* ޥåפν                                                            */
/*===========================================================================*/

int MapAllClean(Map map);

/*===========================================================================*/
/* ֥ȤȺ                                                  */
/*===========================================================================*/

/*---------------------------------------------------------------------------*/
/* ֥Ȥ                                                        */
/*---------------------------------------------------------------------------*/

Map MapCreate(Obj parent, int width, int height, int stage_number);

/*---------------------------------------------------------------------------*/
/* ֥Ȥκ                                                        */
/*---------------------------------------------------------------------------*/

Map MapDestroy(Map map);

/*===========================================================================*/
/* ǡ                                                            */
/*===========================================================================*/

/*---------------------------------------------------------------------------*/
/* ޥåפѹץ쥤䡼(Υץ쥤˻)                */
/*---------------------------------------------------------------------------*/

int MapSendChanges(Map map, Player player);

/*---------------------------------------------------------------------------*/
/* ޥåפѹץ쥤䡼(ơγϻ)                  */
/*---------------------------------------------------------------------------*/

int MapSendChangesToAllPlayers(Map map, ObjList player_list);

/*---------------------------------------------------------------------------*/
/* ޥåפץ쥤䡼(ץ쥤䡼滲)                        */
/*---------------------------------------------------------------------------*/

int MapSendAllMap(Map map, Player player);

/*****************************************************************************/
/* ޤ                                                                  */
/*****************************************************************************/

#endif /* _NADAR_SHARE_MAP_H_INCLUDED_ */

/*****************************************************************************/
/* End of File.                                                              */
/*****************************************************************************/
