/*****************************************************************************/
/* PathP.h - A library for network communication.                            */
/*                                                                           */
/* PathP.h Copyright (c) 2000-2001 Sakai Hiroaki.                            */
/* All Rights Reserved.                                                      */
/*****************************************************************************/

/*****************************************************************************/
/* Path 饹(̿ϩΥ饹)                                               */
/* (Τ)                                                            */
/* ܤϡPath.h ȡ                                                   */
/*===========================================================================*/
/* Υե                                                        */
/*---------------------------------------------------------------------------*/
/* Υեϡץ饤١ȤʥإåեǤ                        */
/* 󥯥롼ɤƻѤʤǤ                                    */
/*****************************************************************************/

#ifndef _SAKAILIB_PATHP_H_INCLUDED_
#define _SAKAILIB_PATHP_H_INCLUDED_

/*****************************************************************************/
/*                                                                   */
/*****************************************************************************/

#include "Path.h"

/*****************************************************************************/
/* إåեΥ󥯥롼(ץ饤١Ȥʤ)                          */
/*****************************************************************************/

#include "Socket.h"

/*****************************************************************************/
/* (˸ʤ)                                          */
/*****************************************************************************/

/*===========================================================================*/
/* ̿ϩ³                                                          */
/*===========================================================================*/

#ifdef  CONNECTION_DISCONNECTED
#undef  CONNECTION_DISCONNECTED
#endif
#define CONNECTION_DISCONNECTED  0 /* ³Ƥʤ */

#ifdef  CONNECTION_CONNECTED
#undef  CONNECTION_CONNECTED
#endif
#define CONNECTION_CONNECTED  0 /* ³Ƥ */

/*===========================================================================*/
/* ե졼μ                                                            */
/*===========================================================================*/

#define PATH_SHORT_FRAME 0
#define PATH_LONG_FRAME  1

/*===========================================================================*/
/* accept() Ѥ Path ɤΥե饰                                       */
/*===========================================================================*/

#define PATH_FOR_ACCEPT      0
#define PATH_FOR_COMMUNICATE 1

/*===========================================================================*/
/* ¾                                                                    */
/*===========================================================================*/

/*
 * ХåեΥǡ򣴥Хȥ饤Ȥ롥
 * ʲͭˤȡХåեΥǡϣХȥ饤Ȥ뤿ᡤ
 * ХåեΥǡľ long int ʤɤɤ߹뤿¿®
 * ̿ǡ̤¿ʤ롥(Path.c )
 * ʲ̵ȡХåեΥǡϣХȥ饤ȤʤΤǡ
 * long int ʤɤͤϡХȤĥԡ롥
 * (RISCץåǤ̾Хȥ饤ȤƤʤɥ쥹Υǡ
 *  ľ long int ʤɤɤ߹ळȤϤǤʤΤǡΤ褦ɬפˤʤ)
 * ä®⤷ʤ̤̿ϾʤƺѤࡥ
 * Ǥϥץå®٤̿®٤褬ܥȥͥåˤʤäƤ
 * Τǡʲ̵Ȥۤ褤
 */
#if 0
#define PATH_BUFFER_ALIGNMENT
#endif

/* ХåեäѤˤʤä顤ưǥեå夹 */
#define PATH_SEND_BUFFER_AUTO_FLUSH

/*****************************************************************************/
/* (˸ʤ)                                            */
/*****************************************************************************/

/* None */

/*****************************************************************************/
/* ¤Τ(˸ʤ)                                        */
/*****************************************************************************/

typedef struct _Path {
  Socket sock;         /* ̿ѤΥå */
  int file_descriptor; /* ̿ѤΥեǥץ */
  int connection;      /* ̿ϩ³ */
  fd_set default_mask; /* select() ѤΥӥåȥޥ */

  /*
   * accept() Ѥ̿ѤΥե饰
   */
  int type;

  int send_buffer_size;
  int recv_buffer_size;
  unsigned char * send_buffer; /* ѥХåե */
  unsigned char * recv_buffer; /* ѥХåե */
  unsigned char * send_buffer_usable;
  unsigned char * recv_buffer_start;
  unsigned char * recv_buffer_usable;
} _Path;

/*****************************************************************************/
/* ѿ(˸ʤ)                                      */
/*****************************************************************************/

/* None */

/*****************************************************************************/
/* ᥽åɤ(˸ʤ)                                      */
/*****************************************************************************/

/* None */

/*****************************************************************************/
/* ޤ                                                                  */
/*****************************************************************************/

#endif

/*****************************************************************************/
/* End of File.                                                              */
/*****************************************************************************/
