/*****************************************************************************/
/* N.A.D.A.R. - A network tank battle game.                                  */
/*                                                                           */
/* N.A.D.A.R. Copyright (c) 2000-2001 Sakai Hiroaki.                         */
/* All Rights Reserved.                                                      */
/*                                                                           */
/* N.A.D.A.R. is a network tank battle game. You get into a tank,            */
/* operate it, and destroy other tanks to survive!                           */
/*****************************************************************************/

/*****************************************************************************/
/* Stage 饹(ơΥ饹)Υ饤֥(Τ)                  */
/*****************************************************************************/

#ifndef _NADAR_SHARE_STAGEP_H_INCLUDED_
#define _NADAR_SHARE_STAGEP_H_INCLUDED_

/*****************************************************************************/
/*                                                                   */
/*****************************************************************************/

#include "Stage.h"

typedef struct _Stage {
  Map map;                   /* ޥå */
  int stage_number;
  ObjList player_list;    /* ץ쥤䡼Υꥹ */
  ObjList tank_list;      /* ֤Υꥹ */
  ObjList canon_list;     /* ˤƤΥꥹ */
  ObjList missile_list;   /* ߥΥꥹ */
  ObjList explosion_list; /* ȯΥꥹ */

  int map_width;
  int map_height;
  int width;
  int height;
  int peeping;
  int backward;
  int interval;
  int timeout;
  long int interval_timer;
  long int timeout_timer;
  int max_players;
} _Stage;

/*****************************************************************************/
/* ޤ                                                                  */
/*****************************************************************************/

#endif /* _NADAR_SHARE_STAGEP_H_INCLUDED_ */

/*****************************************************************************/
/* End of File.                                                              */
/*****************************************************************************/
