/*****************************************************************************/
/* N.A.D.A.R. - A network tank battle game.                                  */
/*                                                                           */
/* N.A.D.A.R. Copyright (c) 2000-2001 Sakai Hiroaki.                         */
/* All Rights Reserved.                                                      */
/*                                                                           */
/* N.A.D.A.R. is a network tank battle game. You get into a tank,            */
/* operate it, and destroy other tanks to survive!                           */
/*****************************************************************************/

/*****************************************************************************/
/* Tank 饹(ֽѤΥ饹)Υ饤֥(Τ)                 */
/*****************************************************************************/

#ifndef _NADAR_SHARE_TANKP_H_INCLUDED_
#define _NADAR_SHARE_TANKP_H_INCLUDED_

/*****************************************************************************/
/*                                                                   */
/*****************************************************************************/

#include "Tank.h"

typedef struct _Tank {
  double x, y;   /* ɸ */
  int angle;     /*  */
  int state;     /*  */
  unsigned long int action;    /* ư */
  int color_number; /*  */
  Player player; /* ƥץ쥤䡼 */
  int canon_number;          /* ȯͤˤƤο */
  int missile_number;        /* ȯͤߥο */
  int canon_active_number;   /* ˤƤο */
  int missile_active_number; /* Υߥο */
  int canon_timer;           /* ˤϢ³ȯͤΥ */
  int missile_timer;         /* ߥϢ³ȯͤΥ */
  int destroy_timer;         /* Tank ֥ȤκΥ */
  int backward;              /* ǽɤΥե饰 */
} _Tank;

static double cos_value[TANK_ANGLE_NUMBER] = {
  1.000, 0.965, 0.866, 0.707, 0.500, 0.258,
  0.0, -0.258, -0.500, -0.707, -0.866, -0.965,
  -1.000, -0.965, -0.866, -0.707, -0.500, -0.258,
  0.0, 0.258, 0.500, 0.707, 0.866, 0.965
};

static double sin_value[TANK_ANGLE_NUMBER] = {
  0.0, 0.258, 0.500, 0.707, 0.866, 0.965,
  1.000, 0.965, 0.866, 0.707, 0.500, 0.258,
  0.0, -0.258, -0.500, -0.707, -0.866, -0.965,
  -1.000, -0.965, -0.866, -0.707, -0.500, -0.258, 
};

/*****************************************************************************/
/* ޤ                                                                  */
/*****************************************************************************/

#endif /* _NADAR_SHARE_TANKP_H_INCLUDED_ */

/*****************************************************************************/
/* End of File.                                                              */
/*****************************************************************************/
