/*****************************************************************************/
/* N.A.D.A.R. - A network tank battle game.                                  */
/*                                                                           */
/* N.A.D.A.R. Copyright (c) 2000-2001 Sakai Hiroaki.                         */
/* All Rights Reserved.                                                      */
/*                                                                           */
/* N.A.D.A.R. is a network tank battle game. You get into a tank,            */
/* operate it, and destroy other tanks to survive!                           */
/*****************************************************************************/

/*****************************************************************************/
/* ¾δؿΥ饤֥                                                  */
/*****************************************************************************/

#ifndef _NADAR_SHARE_ETC_H_INCLUDED_
#define _NADAR_SHARE_ETC_H_INCLUDED_

/*****************************************************************************/
/*                                                                   */
/*****************************************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <sys/time.h>

#include "configure.h"

/*---------------------------------------------------------------------------*/
/* 顼ǽλ                                                              */
/*---------------------------------------------------------------------------*/

void ErrorExit(char * s);

/*---------------------------------------------------------------------------*/
/* ν                                                              */
/*---------------------------------------------------------------------------*/

void InitializeRandom();

/*---------------------------------------------------------------------------*/
/* μ                                                                */
/*---------------------------------------------------------------------------*/

int GetRandomValue(int n);

/*---------------------------------------------------------------------------*/
/* ߻                                                            */
/*---------------------------------------------------------------------------*/

unsigned long int GetNowTime();

/*---------------------------------------------------------------------------*/
/* ߥñ̤Ǽ(256000ߥ(256)Ȥ0)                  */
/*---------------------------------------------------------------------------*/

long int GetTimeForMilliSeconds();

/*---------------------------------------------------------------------------*/
/* ɸѴ                                                                */
/*---------------------------------------------------------------------------*/

int ConvertXFromPositionToMap(double x);
int ConvertYFromPositionToMap(double y);

int ConvertXFromPositionToDisplay(double x, int ratio);
int ConvertYFromPositionToDisplay(double y, int ratio);

int ConvertXFromMapToDisplay(double x, int ratio);
int ConvertYFromMapToDisplay(double y, int ratio);

/*---------------------------------------------------------------------------*/
/* κ                                                                */
/*---------------------------------------------------------------------------*/

int DeleteArgument(int * argcp, char * argv[], int n);

/*===========================================================================*/
/* μ                                                                */
/*===========================================================================*/

/*---------------------------------------------------------------------------*/
/* ʸȤƼ                                                          */
/*---------------------------------------------------------------------------*/

char * GetArgument(int * argcp, char * argv[], char * arg);

/*---------------------------------------------------------------------------*/
/* ͤȤƼ                                                          */
/*---------------------------------------------------------------------------*/

int GetArgumentByIntegerValue(int * argcp, char * argv[], char * arg);

/*---------------------------------------------------------------------------*/
/* ֡ꥢͤȤƼ                                                    */
/*---------------------------------------------------------------------------*/

int GetArgumentByBoolean(int * argcp, char * argv[], char * arg);

/*===========================================================================*/
/* ʰ sqrt() ؿ                                                          */
/*===========================================================================*/

double easy_sqrt(double x);

/*****************************************************************************/
/* ޤ                                                                  */
/*****************************************************************************/

#endif /* _NADAR_SHARE_ETC_H_INCLUDED_ */

/*****************************************************************************/
/* End of File.                                                              */
/*****************************************************************************/
